#ifndef RECDATARECORD_H
#define RECDATARECORD_H

#include "TObjArray.h"

class RecDataRecord : public TObject {

 public:
  // ctors/dtor
  RecDataRecord();
  virtual ~RecDataRecord();
  
  virtual void AdoptComponent(TObject* component);

  virtual void Print(Option_t* option = "") const;
  
 private:
  void Init();
  
  // data members
  TObjArray fComponents;  // data blocks

  ClassDef(RecDataRecord,1)

};

#endif
  
