#ifndef HIT_H
#define HIT_H

#include "TObject.h"

class Hit : public TObject {

 public:

   Hit():fPlane(-1),fStrip(-1),fPh(0) {}
   Hit(Int_t plane,Int_t strip,Int_t ph) : fPlane(plane),
     fStrip(strip),fPh(ph) {}
   virtual ~Hit() {}
   void                     Print(Option_t *option = "") const;

 private:

   Int_t       fPlane;
   Int_t       fStrip;
   Int_t       fPh;


   ClassDef(Hit,1)  

};

#endif
