{
// usage: root[0] .x testrd.C

gSystem -> Load("libReco.so");

f = new TFile("simtest.root","READ");
t = (TTree*)(f->Get("Sim"));

SimRecord* record = 0;

for ( int i = 0; i < 5; i++ ) {
  t -> SetBranchAddress("SimRecord",&record);
  Int_t nbytes = t -> GetEntry(i);
  cout << "Retrieved entry " << i << " with " << nbytes << " bytes." << endl;
  record -> Print();
  delete record; record = 0;
  gObjectTable -> Print();
}

f -> Close();

}


